com.amazonaws.services.codedeploy.model

## Enum ErrorCode

- java.lang.Object
- - java.lang.Enum<ErrorCode>
  - - com.amazonaws.services.codedeploy.model.ErrorCode

All Implemented Interfaces:
  Serializable, Comparable<ErrorCode>

    public enum ErrorCode
    extends Enum<ErrorCode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AGENT_ISSUE`
`ALARM_ACTIVE`
`APPLICATION_MISSING`
`AUTO_SCALING_CONFIGURATION`
`AUTO_SCALING_IAM_ROLE_PERMISSIONS`
`DEPLOYMENT_GROUP_MISSING`
`HEALTH_CONSTRAINTS`
`HEALTH_CONSTRAINTS_INVALID`
`IAM_ROLE_MISSING`
`IAM_ROLE_PERMISSIONS`
`INTERNAL_ERROR`
`MANUAL_STOP`
`NO_EC2_SUBSCRIPTION`
`NO_INSTANCES`
`OVER_MAX_INSTANCES`
`REVISION_MISSING`
`THROTTLED`
`TIMEOUT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ErrorCode` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static ErrorCode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ErrorCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEPLOYMENT_GROUP_MISSING

    public static final ErrorCode DEPLOYMENT_GROUP_MISSING

#### APPLICATION_MISSING

    public static final ErrorCode APPLICATION_MISSING

#### REVISION_MISSING

    public static final ErrorCode REVISION_MISSING

#### IAM_ROLE_MISSING

    public static final ErrorCode IAM_ROLE_MISSING

#### IAM_ROLE_PERMISSIONS

    public static final ErrorCode IAM_ROLE_PERMISSIONS

#### NO_EC2_SUBSCRIPTION

    public static final ErrorCode NO_EC2_SUBSCRIPTION

#### OVER_MAX_INSTANCES

    public static final ErrorCode OVER_MAX_INSTANCES

#### NO_INSTANCES

    public static final ErrorCode NO_INSTANCES

#### TIMEOUT

    public static final ErrorCode TIMEOUT

#### HEALTH_CONSTRAINTS_INVALID

    public static final ErrorCode HEALTH_CONSTRAINTS_INVALID

#### HEALTH_CONSTRAINTS

    public static final ErrorCode HEALTH_CONSTRAINTS

#### INTERNAL_ERROR

    public static final ErrorCode INTERNAL_ERROR

#### THROTTLED

    public static final ErrorCode THROTTLED

#### ALARM_ACTIVE

    public static final ErrorCode ALARM_ACTIVE

#### AGENT_ISSUE

    public static final ErrorCode AGENT_ISSUE

#### AUTO_SCALING_IAM_ROLE_PERMISSIONS

    public static final ErrorCode AUTO_SCALING_IAM_ROLE_PERMISSIONS

#### AUTO_SCALING_CONFIGURATION

    public static final ErrorCode AUTO_SCALING_CONFIGURATION

#### MANUAL_STOP

    public static final ErrorCode MANUAL_STOP

### Method Detail

#### values

    public static ErrorCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ErrorCode c : ErrorCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ErrorCode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<ErrorCode>`

#### fromValue

    public static ErrorCode fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  ErrorCode corresponding to the value